Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.splitstream.testing
Class MySplitStreamClient

    java.lang.Object
      rice.p2p.splitstream.testing.MySplitStreamClient

All Implemented Interfaces:
  SplitStreamClient

    public class MySplitStreamClient

extends java.lang.Object
implements SplitStreamClient

Author:
  Jeff Hoye

Field Summary
`static int` | `msgSize`
`static int` | `SEND_PERIOD`

Constructor Summary
`MySplitStreamClient(PastryNode n, java.lang.String instance)`

Method Summary
`void` | `attachChannel(ChannelId cid)`
`void` | `deliver(Stripe s, byte[] data)` Is called when data is received on a stripe which this client has registered interest
`Stripe[]` | `getStripes()`
`void` | `joinFailed(Stripe s)` This is a call back into the application to notify it that one of the stripes was unable to to find a parent, and thus unable to recieve data.
`void` | `publish(byte[] b, Stripe s)`
`void` | `publish(Id id, int seq)`
`void` | `publishAll(byte[] b)`
`void` | `publishNext()`
`boolean` | `shouldPublish()`
`void` | `startPublishTask()`
`void` | `subscribeToAllChannels()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEND_PERIOD

    public static int SEND_PERIOD

### msgSize

    public static int msgSize

Constructor Detail

### MySplitStreamClient

    public MySplitStreamClient(PastryNode n,
                               java.lang.String instance)

Method Detail

### attachChannel

    public void attachChannel(ChannelId cid)

### subscribeToAllChannels

    public void subscribeToAllChannels()

### getStripes

    public Stripe[] getStripes()

### shouldPublish

    public boolean shouldPublish()

### publishNext

    public void publishNext()

### publish

    public void publish(Id id,
                        int seq)

### publishAll

    public void publishAll(byte[] b)

### publish

    public void publish(byte[] b,
                        Stripe s)

### joinFailed

    public void joinFailed(Stripe s)

  Description copied from interface: `SplitStreamClient`
  This is a call back into the application to notify it that one of the stripes was unable to to find a parent, and thus unable to recieve data.

  Specified by:
    `joinFailed` in interface `SplitStreamClient`
  Parameters:
    `s` - The stripe which the join failed on

### deliver

    public void deliver(Stripe s,
                        byte[] data)

  Description copied from interface: `SplitStreamClient`
  Is called when data is received on a stripe which this client has registered interest

  Specified by:
    `deliver` in interface `SplitStreamClient`
  Parameters:
    `s` - The stripe the data as received on
    `data` - The data that was received

### startPublishTask

    public void startPublishTask()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.